## octave-secs3d 0.0.1

=== DESCRIPTION ===
Name: secs3d
Version: 0.0.1
Date: 2011-09-08
Author: Carlo de Falco
Maintainer: Carlo de Falco
Title: SEmi Conductor Simulator in 3D 
Description: A Drift-Diffusion simulator for 3d semiconductor devices
Categories: Electrical Engineering
Depends: octave (>= 3.2.4), bim, fpl
Autoload: no
License: GPL version 2 or later

=== debian/changelog ===
octave-secs3d (0.0.1-5) unstable; urgency=medium

  * d/control:
    + Update Homepage URL
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Bump Standards-Version to 4.7.2 (no changes needed)
  * d/copyright: Update Source URL
  * d/u/metadata: Update Bug-Database URL
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Update override for the Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Oct 2025 09:08:36 -0300

octave-secs3d (0.0.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch

  [ Rafael Laboissière ]
  * d/copyright:
    + Accentuate my family name
    + Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch:
    + Bump to format version 4
    + Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Sun, 11 Dec 2022 10:39:11 -0300

octave-secs3d (0.0.1-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibitlity level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 11:15:57 -0300

octave-secs3d (0.0.1-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:41 -0200

octave-secs3d (0.0.1-1) unstable; urgency=low

  * Initial release (closes: #900685)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 10:43:03 -0300

=== debian/control ===
Source: octave-secs3d
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave
Standards-Version: 4.7.2
Homepage: https://gnu-octave.github.io/packages/secs3d/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-secs3d.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-secs3d
Testsuite: autopkgtest-pkg-octave

Package: octave-secs3d
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: Drift-Diffusion simulator for 3d semiconductor devices in Octave
 This package provides functions for Drift-Diffusion simulation of 3d
 semiconductor devices in Octave, a scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/secs3d/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/secs3d-@ANY_VERSION@@ARCHIVE_EXT@
